QGIS Application - Bug report #2499
Simplify Geometry tool throws an error
2010-03-06 05:03 PM - Maxim Dubinin

Status: Closed
Priority: Low
Assignee: cfarmer -
Category: Python plugins

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 12559

Description

While trying to simplify linear geometries, I'm getting this error after 99% progress. Confirmed on two machines (XP and Vista).

Shapefile is sensitive, but | can send it over email, if someone is willing to confirm or work on this bug (email: sim@gis-lab.info).

Weird, but seems like | no longer can copy anything from Python Error Window, so see the screenshot with error:

http://gis-lab.info/images/screenshots/20100306-p0y-118kb.jpg

History

#1 - 2010-03-06 05:10 PM - Giovanni Manghi

Weird, but seems like | no longer can copy anything from Python Error Window,

Same here.

This ticket should be duplicate of #2493 (see the attached screenshot).

#2 - 2010-03-06 05:21 PM - Maxim Dubinin

Thanks for checking, | saw your report and specifically checked for this and ran Multipart-Singlepart before on my subset, but still get this error.

#3 - 2010-03-06 05:27 PM - Giovanni Manghi

Hi again,

Thanks for checking, | saw your report and specifically checked for this and ran Multipart-Singlepart before on my subset, but still get this error.

yes, probably is not well explained in #2493 but under win xp | get the same error even if after running "Multipart to Singlepart”. So if I'm not getting it wrong

(it is late and I'm tired) | believe you can close this and add your notes/data to #2493. Otherwise please ignore this comment.

#4 - 2010-03-06 05:30 PM - Maxim Dubinin

ok, lets wait for #2493 fix and if it fixes this problem too, I'll be happy to close this one too.
#5 - 2010-03-08 04:25 PM - cfarmer -
- Resolution set to fixed

- Status changed from Open to Closed

Should be fixed in commit:1f0d1afa (SVN r13034). Now using built-in simplify function from [[QgsGeometry]] (added at the last hackfest). Tested on
sample shapefile from #2493, works nicely on both multipart and singlepart versions.

-Carson
